# PSF-LoginServer - master - net.psforever.objects.serverobject.damage.DamageableMountable
PSF - LoginServer - master - net.psforever.objects.serverobject.damage.DamageableMountable
Keywords: PSF LoginServer master net.psforever.objects.serverobject.damage.DamageableMountable

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package serverobject
  Definition Classes
    objects
-  package damage
  Definition Classes
    serverobject
- AggravatedBehavior
- Damageable
- DamageableAmenity
- DamageableEntity
- DamageableMountable
- DamageableVehicle
- DamageableWeaponTurret

o

net.psforever.objects.serverobject.damage

# DamageableMountable

###

#### object DamageableMountable

Functions to assist other damage-dealing code for objects that contain users.

Source
  DamageableMountable.scala

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. DamageableMountable
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def DamageAwareness(target: Target with Mountable, cause: DamageResult, countableDamage: Int): Unit

   A damaged target alerts its occupants (as it is a `Mountable` object) of the source of the damage.

   A damaged target alerts its occupants (as it is a `Mountable` object) of the source of the damage.

   target

     the entity being damaged

   cause

     historical information about the damage

   countableDamage

     the amount of damage being done, translating to the intensity of the damage indicator

   See also

     `AvatarAction.HitHint`

     `AvatarAction.SendResponse`

     `AvatarServiceMessage`

     `DamageWithPositionMessage`

     `Mountable.Seats`

     `Service.defaultPlayerGUID`

     `Zone.AvatarEvents`

     `Zone.LivePlayers`

5.  def DestructionAwareness(target: Target with Mountable, cause: DamageResult): Unit

   When the target dies, so do all of its occupants.

   When the target dies, so do all of its occupants.

   target

     the entity being destroyed

   cause

     historical information about the damage

   See also

     `Mountable.Seats`

     `Player.Die`

     `VitalsHistory.History`

6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
8.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
9.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
10.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
11.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
13.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
14.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
17.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
18.  def toString(): String
    Definition Classes
      AnyRef → Any
19.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
20.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
21.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped